diff -Nur -Xfreecivdiff.ignore freeciv-cvs/data/default/governments.ruleset freeciv-patched/data/default/governments.ruleset
--- freeciv-cvs/data/default/governments.ruleset	2003-06-30 12:33:48.000000000 +0100
+++ freeciv-patched/data/default/governments.ruleset	2003-06-30 12:33:10.000000000 +0100
@@ -154,13 +154,19 @@
 waste_extra_distance       = 0 
 waste_max_distance_cap     = 36
 
-production_trade_bonus    = 0, 0
-production_shield_bonus   = 0, 0
-production_food_bonus     = 0, 0
-
-production_trade_penalty  = 2, 0
-production_shield_penalty = 2, 0
-production_food_penalty   = 2, 0
+trade_bonus    = 0
+shield_bonus   = 0
+food_bonus     = 0
+celeb_trade_bonus    = 0
+celeb_shield_bonus   = 0
+celeb_food_bonus     = 0
+
+trade_penalty  = 2
+shield_penalty = 2
+food_penalty   = 2
+celeb_trade_penalty  = 0
+celeb_shield_penalty = 0
+celeb_food_penalty   = 0
 
 ruler_male_title = _("Mr.")
 ruler_female_title = _("Ms.")
@@ -232,13 +238,19 @@
 waste_extra_distance       = 0 
 waste_max_distance_cap     = 36
 
-production_trade_bonus    = 0, 0
-production_shield_bonus   = 0, 0
-production_food_bonus     = 0, 0
-
-production_trade_penalty  = 2, 0
-production_shield_penalty = 2, 0
-production_food_penalty   = 2, 0
+trade_bonus    = 0
+shield_bonus   = 0
+food_bonus     = 0
+celeb_trade_bonus    = 0
+celeb_shield_bonus   = 0
+celeb_food_bonus     = 0
+
+trade_penalty  = 2
+shield_penalty = 2
+food_penalty   = 2
+celeb_trade_penalty  = 0
+celeb_shield_penalty = 0
+celeb_food_penalty   = 0
 
 ruler_male_title = _("Emperor")
 ruler_female_title = _("Empress")
@@ -311,13 +323,19 @@
 waste_extra_distance       = 0 
 waste_max_distance_cap     = 36
 
-production_trade_bonus    = 0, 1
-production_shield_bonus   = 0, 0
-production_food_bonus     = 0, 0
-
-production_trade_penalty  = 0, 0
-production_shield_penalty = 0, 0
-production_food_penalty   = 0, 0
+trade_bonus    = 0
+shield_bonus   = 0
+food_bonus     = 0
+celeb_trade_bonus    = 1
+celeb_shield_bonus   = 0
+celeb_food_bonus     = 0
+
+trade_penalty  = 0
+shield_penalty = 0
+food_penalty   = 0
+celeb_trade_penalty  = 0
+celeb_shield_penalty = 0
+celeb_food_penalty   = 0
 
 ruler_male_title = _("King")
 ruler_female_title = _("Queen")
@@ -389,13 +407,19 @@
 waste_extra_distance       = 0
 waste_max_distance_cap     = 36
 
-production_trade_bonus    = 0, 1
-production_shield_bonus   = 0, 0
-production_food_bonus     = 0, 0
-
-production_trade_penalty  = 0, 0
-production_shield_penalty = 0, 0
-production_food_penalty   = 0, 0
+trade_bonus    = 0
+shield_bonus   = 0
+food_bonus     = 0
+celeb_trade_bonus    = 1
+celeb_shield_bonus   = 0
+celeb_food_bonus     = 0
+
+trade_penalty  = 0
+shield_penalty = 0
+food_penalty   = 0
+celeb_trade_penalty  = 0
+celeb_shield_penalty = 0
+celeb_food_penalty   = 0
 
 ruler_male_title = _("Comrade")
 ruler_female_title = _("Comrade")
@@ -475,13 +499,19 @@
 waste_extra_distance       = 0
 waste_max_distance_cap     = 36
 
-production_trade_bonus    = 1, 1
-production_shield_bonus   = 0, 0
-production_food_bonus     = 0, 0
-
-production_trade_penalty  = 0, 0
-production_shield_penalty = 0, 0
-production_food_penalty   = 0, 0
+trade_bonus    = 1
+shield_bonus   = 0
+food_bonus     = 0
+celeb_trade_bonus    = 1
+celeb_shield_bonus   = 0
+celeb_food_bonus     = 0
+
+trade_penalty  = 0
+shield_penalty = 0
+food_penalty   = 0
+celeb_trade_penalty  = 0
+celeb_shield_penalty = 0
+celeb_food_penalty   = 0
 
 ruler_male_title = _("Consul")
 ruler_female_title = _("Consul")
@@ -564,13 +594,19 @@
 waste_extra_distance       = 0
 waste_max_distance_cap     = 36
 
-production_trade_bonus    = 1, 1
-production_shield_bonus   = 0, 0
-production_food_bonus     = 0, 0
-
-production_trade_penalty  = 0, 0
-production_shield_penalty = 0, 0
-production_food_penalty   = 0, 0
+trade_bonus    = 1
+shield_bonus   = 0
+food_bonus     = 0
+celeb_trade_bonus    = 1
+celeb_shield_bonus   = 0
+celeb_food_bonus     = 0
+
+trade_penalty  = 0
+shield_penalty = 0
+food_penalty   = 0
+celeb_trade_penalty  = 0
+celeb_shield_penalty = 0
+celeb_food_penalty   = 0
 
 ruler_male_title = _("President")
 ruler_female_title = _("President")
diff -Nur -Xfreecivdiff.ignore freeciv-cvs/data/smac/buildings.ruleset freeciv-patched/data/smac/buildings.ruleset
--- freeciv-cvs/data/smac/buildings.ruleset	2003-06-30 12:33:48.000000000 +0100
+++ freeciv-patched/data/smac/buildings.ruleset	2003-06-30 12:33:10.000000000 +0100
@@ -45,6 +45,8 @@
 name          = _("Aerospace Complex")
 tech_req      = "Doctrine: Air Power"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -70,6 +72,8 @@
 name          = _("Bioenhancement Center")
 tech_req      = "Neural Grafting"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -93,6 +97,8 @@
 name          = _("Biology Lab")
 tech_req      = "Centauri Empathy"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -113,6 +119,8 @@
 name          = _("Centauri Preserve")
 tech_req      = "Centauri Meditation"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -130,6 +138,8 @@
 name          = _("Children's Creche")
 tech_req      = "Ethical Calculus"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -147,6 +157,8 @@
 name          = _("Command Center")
 tech_req      = "Doctrine: Mobility"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -174,6 +186,8 @@
 name          = _("Energy Bank")
 tech_req      = "Industrial Economics"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -196,6 +210,8 @@
 name          = _("Fusion Lab")
 tech_req      = "Fusion Power"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -219,6 +235,8 @@
 name          = _("Genejack Factory")
 tech_req      = "Retroviral Engineering"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -243,6 +261,8 @@
 name          = _("Hab Complex")
 tech_req      = "Industrial Automation"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -266,6 +286,8 @@
 name          = _("Habitation Dome")
 tech_req      = "Super Tensile Solids"
 bldg_req      = "Hab Complex"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -289,6 +311,8 @@
 name          = _("Headquarters")
 tech_req      = "None"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "Player"
@@ -319,6 +343,8 @@
 name          = _("Hologram Theatre")
 tech_req      = "Planetary Networks"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -343,6 +369,8 @@
 name          = _("Hybrid Forest")
 tech_req      = "Planetary Economics"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -373,6 +401,8 @@
 name          = _("Nanohospital")
 tech_req      = "Homo Superior"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -399,6 +429,8 @@
 name          = _("Nanoreplicator")
 tech_req      = "Matter Editation"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -421,6 +453,8 @@
 name          = _("Naval Yard")
 tech_req      = "Doctrine: Initiative"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 terr_gate     = "Ocean"
 ;spec_gate    =
 equiv_range   = "City"
@@ -446,6 +480,8 @@
 name          = _("Nessus Mining Station")
 tech_req      = "Self-Aware Machines"
 bldg_req      = "Aerospace Complex"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -463,6 +499,8 @@
 name          = _("Network Node")
 tech_req      = "Information Networks"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -485,6 +523,8 @@
 name          = _("Orbital Defense Pod")
 tech_req      = "Self-Aware Machines"
 bldg_req      = "Aerospace Complex"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -502,6 +542,8 @@
 name          = _("Orbital Power Transmitter")
 tech_req      = "Advanced Spaceflight"
 bldg_req      = "Aerospace Complex"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -519,6 +561,8 @@
 name          = _("Paradise Garden")
 tech_req      = "Sentient Econometrics"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -541,6 +585,8 @@
 name          = _("Perimeter Defense")
 tech_req      = "Doctrine: Loyalty"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -566,6 +612,8 @@
 name          = _("Pressure Dome")
 tech_req      = "Doctrine: Flexibility"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 terr_gate     = "Ocean"
 ;spec_gate    =
 equiv_range   = "City"
@@ -583,6 +631,8 @@
 name          = _("Psi Gate")
 tech_req      = "Matter Transmission"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -608,6 +658,8 @@
 name          = _("Punishment Sphere")
 tech_req      = "Advanced Military Algorithms"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -634,6 +686,8 @@
 name          = _("Quantum Converter")
 tech_req      = "Quantum Machinery"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -656,6 +710,8 @@
 name          = _("Quantum Lab")
 tech_req      = "Quantum Power"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -679,6 +735,8 @@
 name          = _("Recreation Commons")
 tech_req      = "Social Psych"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -701,6 +759,8 @@
 name          = _("Recycling Tanks")
 tech_req      = "Biogenetics"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -718,6 +778,8 @@
 name          = _("Research Hospital")
 tech_req      = "Gene Splicing"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -744,6 +806,8 @@
 name          = _("Robotic Assembly Plant")
 tech_req      = "Industrial Nanorobotics"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -767,6 +831,8 @@
 name          = _("Skunkworks")
 tech_req      = "Advanced Subatomic Theory"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -784,6 +850,8 @@
 name          = _("Sky Hydroponics Lab")
 tech_req      = "Orbital Spaceflight"
 bldg_req      = "Aerospace Complex"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -801,6 +869,8 @@
 name          = _("Stockpile Energy")
 tech_req      = "None"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -825,6 +895,8 @@
 name          = _("Tachyon Field")
 tech_req      = "Probability Mechanics"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -854,6 +926,8 @@
 name          = _("Temple of Planet")
 tech_req      = "Secrets of Alpha Centauri"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -871,6 +945,8 @@
 name          = _("Tree Farm")
 tech_req      = "Environmental Economics"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -902,6 +978,8 @@
 name          = _("The Ascent to Transcendence")
 tech_req      = "Threshold of Transcendence"
 bldg_req      = "The Voice Of Planet"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -919,6 +997,8 @@
 name        = _("The Ascetic Virtues")
 tech_req    = "Planetary Economics"
 bldg_req    = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -936,6 +1016,8 @@
 name          = _("The Bulk Matter Transmitter")
 tech_req      = "Matter Transmission"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -953,6 +1035,8 @@
 name          = _("The Citizens' Defense Force")
 tech_req      = "Intellectual Integrity"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "Player"
@@ -978,6 +1062,8 @@
 name          = _("Clinical Immortality")
 tech_req      = "Matter Editation"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1000,6 +1086,8 @@
 name          = _("The Cloning Vats")
 tech_req      = "Biomachinery"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1017,6 +1105,8 @@
 name          = _("The Command Nexus")
 tech_req      = "Doctrine: Loyalty"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "Player"
@@ -1040,6 +1130,8 @@
 name          = _("The Cyborg Factory")
 tech_req      = "Mind-Machine Interface"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "Player"
@@ -1062,6 +1154,8 @@
 name          = _("The Dream Twister")
 tech_req      = "The Will To Power"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1079,6 +1173,8 @@
 name          = _("The Empath Guild")
 tech_req      = "Centauri Empathy"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1101,6 +1197,8 @@
 name          = _("The Human Genome Project")
 tech_req      = "Biogenetics"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1123,6 +1221,8 @@
 name          = _("The Hunter-Seeker Algorithm")
 tech_req      = "Presentient Algorithms"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1143,6 +1243,8 @@
 name          = _("The Living Refinery")
 tech_req      = "Advanced Spaceflight"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1160,6 +1262,8 @@
 name          = _("The Longevity Vaccine")
 tech_req      = "Bio-Engineering"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1188,6 +1292,8 @@
 name          = _("The Maritime Control Center")
 tech_req      = "Doctrine: Initiative"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "Player"
@@ -1213,6 +1319,8 @@
 name          = _("The Merchant Exchange")
 tech_req      = "Industrial Base"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1236,6 +1344,8 @@
 name          = _("The Nano Factory")
 tech_req      = "Industrial Nanorobotics"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1262,6 +1372,8 @@
 name          = _("The Network Backbone")
 tech_req      = "Digital Sentience"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1279,6 +1391,8 @@
 name          = _("The Neural Amplifier")
 tech_req      = "Neural Grafting"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1296,6 +1410,8 @@
 name          = _("The Pholus Mutagen")
 tech_req      = "Centauri Genetics"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1313,6 +1429,8 @@
 name          = _("The Planetary Datalinks")
 tech_req      = "Cyberethics"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1336,6 +1454,8 @@
 name          = _("The Planetary Transit System")
 tech_req      = "Industrial Automation"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1353,6 +1473,8 @@
 name          = _("The Self-Aware Colony")
 tech_req      = "Self-Aware Machines"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1370,6 +1492,8 @@
 name          = _("The Singularity Inductor")
 tech_req      = "Controlled Singularity"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "Player"
@@ -1392,6 +1516,8 @@
 name          = _("The Space Elevator")
 tech_req      = "Super Tensile Solids"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1409,6 +1535,8 @@
 name          = _("The Supercollider")
 tech_req      = "Applied Relativity"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1431,6 +1559,8 @@
 name          = _("The Telepathic Matrix")
 tech_req      = "Eudaimonia"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1448,6 +1578,8 @@
 name          = _("The Theory of Everything")
 tech_req      = "Unified Field Theory"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1470,6 +1602,8 @@
 name          = _("The Universal Translator")
 tech_req      = "Homo Superior"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1492,6 +1626,8 @@
 name          = _("The Virtual World")
 tech_req      = "Planetary Networks"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1520,6 +1656,8 @@
 name          = _("The Voice Of Planet")
 tech_req      = "Threshold of Transcendence"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1537,6 +1675,8 @@
 name          = _("The Weather Paradigm")
 tech_req      = "Centauri Ecology"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
@@ -1554,6 +1694,8 @@
 name          = _("The Xenoempathy Dome")
 tech_req      = "Centauri Meditation"
 bldg_req      = "None"
+graphic	= "b.oracle"
+graphic_alt	= "-"
 ;terr_gate    =
 ;spec_gate    =
 equiv_range   = "City"
diff -Nur -Xfreecivdiff.ignore freeciv-cvs/data/smac/governments.ruleset freeciv-patched/data/smac/governments.ruleset
--- freeciv-cvs/data/smac/governments.ruleset	2003-06-30 12:33:48.000000000 +0100
+++ freeciv-patched/data/smac/governments.ruleset	2003-06-30 12:33:10.000000000 +0100
@@ -15,7 +15,7 @@
 options="1.9"
 
 [governments]
-default="Simple"
+default="Simple Frontier State"
 when_anarchy="Anarchy"
 ai_goal="Simple"
 max_revolution_turns=0
@@ -158,6 +158,13 @@
 corruption_distance_factor = 1 
 corruption_extra_distance  = 0 
 
+waste_level                = 0
+waste_modifier             = 1
+waste_fixed_distance       = 0
+waste_distance_factor      = 0
+waste_extra_distance       = 0
+waste_max_distance_cap     = 36
+
 trade_bonus    = 1
 shield_bonus   = 0
 food_bonus     = 0
@@ -211,6 +218,13 @@
 corruption_distance_factor = 1 
 corruption_extra_distance  = 0 
 
+waste_level                = 0
+waste_modifier             = 1
+waste_fixed_distance       = 0
+waste_distance_factor      = 0
+waste_extra_distance       = 0
+waste_max_distance_cap     = 36
+
 trade_bonus    = 1
 shield_bonus   = 0
 food_bonus     = 0
@@ -389,3 +403,8 @@
          "Unit_Cost", "Player", -10
     }
 final_action = ""
+
+[compound_government_default]
+name         = "Simple Frontier State"
+base         = "Simple"
+modifiers    = "Simple", "None", "Frontier", "Survival"
diff -Nur -Xfreecivdiff.ignore freeciv-cvs/server/plrhand.c freeciv-patched/server/plrhand.c
--- freeciv-cvs/server/plrhand.c	2003-06-30 12:33:44.000000000 +0100
+++ freeciv-patched/server/plrhand.c	2003-06-30 12:33:10.000000000 +0100
@@ -38,6 +38,7 @@
 #include "gamehand.h"
 #include "gamelog.h"
 #include "maphand.h"
+#include "ruleset.h"
 #include "sernet.h"
 #include "settlers.h"
 #include "srv_main.h"
@@ -743,26 +744,16 @@
 /**************************************************************************
 ...
 **************************************************************************/
-void handle_player_government(struct player *pplayer,
-			     struct packet_player_request *preq)
+static void change_player_gov(struct player *pplayer, int newgov)
 {
-  if (pplayer->government != game.government_when_anarchy ||
-      preq->government < 0 || preq->government >= game.government_count ||
-      !can_change_to_government(pplayer, preq->government)) {
-    return;
-  }
-
-  if((pplayer->revolution<=5) && (pplayer->revolution>0))
-    return;
-
-  pplayer->government=preq->government;
+  pplayer->government = newgov;
   notify_player(pplayer, _("Game: %s now governs the %s as a %s."), 
 		pplayer->name, 
   	        get_nation_name_plural(pplayer->nation),
-		get_government_name(preq->government));  
+		get_government_name(newgov));  
   gamelog(GAMELOG_GOVERNMENT, _("%s form a %s"),
 	  get_nation_name_plural(pplayer->nation),
-	  get_government_name(preq->government));
+	  get_government_name(newgov));
 
   if (!pplayer->ai.control) {
     /* Keep luxuries if we have any.  Try to max out science. -GJW */
@@ -784,6 +775,24 @@
 /**************************************************************************
 ...
 **************************************************************************/
+void handle_player_government(struct player *pplayer,
+			     struct packet_player_request *preq)
+{
+  if (pplayer->government != game.government_when_anarchy ||
+      preq->government < 0 || preq->government >= game.government_count ||
+      !can_change_to_government(pplayer, preq->government)) {
+    return;
+  }
+
+  if((pplayer->revolution<=5) && (pplayer->revolution>0))
+    return;
+
+  change_player_gov(pplayer, preq->government);
+}
+
+/**************************************************************************
+...
+**************************************************************************/
 void handle_player_revolution(struct player *pplayer)
 {
   if ((pplayer->revolution<=5) &&
@@ -845,6 +854,26 @@
 }
 
 /**************************************************************************
+...
+**************************************************************************/
+void handle_request_compound(struct player *pplayer,
+			     struct packet_request_compound *req)
+{
+  if (req->is_gov) {
+    int id;
+
+    id = form_compound_gov(pplayer, req->name, req->basetype, req->modifiers);
+    send_single_government(&game.game_connections, id);
+    change_player_gov(pplayer, id);
+  } else {
+    Unit_Type_id id;
+
+    id = form_compound_unit(req->name, req->basetype, req->modifiers);
+    send_single_unit(&game.game_connections, id);
+  }
+}
+
+/**************************************************************************
   Handles a player cancelling a "pact" with another player.
 
   packet.id is id of player we want to cancel a pact with
diff -Nur -Xfreecivdiff.ignore freeciv-cvs/server/plrhand.h freeciv-patched/server/plrhand.h
--- freeciv-cvs/server/plrhand.h	2003-06-07 19:58:49.000000000 +0100
+++ freeciv-patched/server/plrhand.h	2003-06-30 12:33:10.000000000 +0100
@@ -63,6 +63,8 @@
 			     struct packet_player_request *preq);
 void handle_player_research(struct player *pplayer,
 			    struct packet_player_request *preq);
+void handle_request_compound(struct player *pplayer,
+			     struct packet_request_compound *req);
 void handle_player_tech_goal(struct player *pplayer,
                             struct packet_player_request *preq);
 void handle_player_attribute_chunk(struct player *pplayer,
